Orxonox: src/tinyxml/tinystr.h File Reference

# tinystr.h File Reference

`#include <assert.h>`
`#include <string.h>`

## Classes

class | TiXmlOutStream
class | TiXmlString
struct | TiXmlString::Rep

## Defines

#define | TIXML_EXPLICIT

## Functions

bool | operator!= (const char *a, const TiXmlString &b)
bool | operator!= (const TiXmlString &a, const char *b)
bool | operator!= (const TiXmlString &a, const TiXmlString &b)
TiXmlString | operator+ (const char *a, const TiXmlString &b)
TiXmlString | operator+ (const TiXmlString &a, const char *b)
TiXmlString | operator+ (const TiXmlString &a, const TiXmlString &b)
bool | operator< (const TiXmlString &a, const TiXmlString &b)
bool | operator<= (const TiXmlString &a, const TiXmlString &b)
bool | operator== (const char *a, const TiXmlString &b)
bool | operator== (const TiXmlString &a, const char *b)
bool | operator== (const TiXmlString &a, const TiXmlString &b)
bool | operator> (const TiXmlString &a, const TiXmlString &b)
bool | operator>= (const TiXmlString &a, const TiXmlString &b)

## Define Documentation

#define TIXML_EXPLICIT

## Function Documentation

bool operator!= | ( | const char * | a,
|  | const TiXmlString & | b |
| ) |  |  | `[inline]`

bool operator!= | ( | const TiXmlString & | a,
|  | const char * | b |
| ) |  |  | `[inline]`

bool operator!= | ( | const TiXmlString & | a,
|  | const TiXmlString & | b |
| ) |  |  | `[inline]`

TiXmlString operator+ | ( | const char * | a,
|  | const TiXmlString & | b |
| ) |  |  |

References TiXmlString::append(), TiXmlString::length(), and TiXmlString::reserve().

TiXmlString operator+ | ( | const TiXmlString & | a,
|  | const char * | b |
| ) |  |  |

References TiXmlString::append(), TiXmlString::length(), and TiXmlString::reserve().

TiXmlString operator+ | ( | const TiXmlString & | a,
|  | const TiXmlString & | b |
| ) |  |  |

References TiXmlString::length(), and TiXmlString::reserve().

bool operator< | ( | const TiXmlString & | a,
|  | const TiXmlString & | b |
| ) |  |  | `[inline]`

References TiXmlString::c_str().

bool operator<= | ( | const TiXmlString & | a,
|  | const TiXmlString & | b |
| ) |  |  | `[inline]`

bool operator== | ( | const char * | a,
|  | const TiXmlString & | b |
| ) |  |  | `[inline]`

bool operator== | ( | const TiXmlString & | a,
|  | const char * | b |
| ) |  |  | `[inline]`

References TiXmlString::c_str().

bool operator== | ( | const TiXmlString & | a,
|  | const TiXmlString & | b |
| ) |  |  | `[inline]`

References TiXmlString::c_str(), and TiXmlString::length().

bool operator> | ( | const TiXmlString & | a,
|  | const TiXmlString & | b |
| ) |  |  | `[inline]`

bool operator>= | ( | const TiXmlString & | a,
|  | const TiXmlString & | b |
| ) |  |  | `[inline]`